schemaVersion: "2.0.0"
commandTests:
  - name: "golang exists"
    command: "go"
    args: ["version"]
    expectedOutput: ["go version"]
  - name: "entrypoint is in path"
    command: "which"
    args: ["entrypoint"]
    expectedOutput: ["/bin/entrypoint"]
  - name:  "all is well in security land"
    command: "apt-get"
    args: ["-qqs", "upgrade"]
    excludedOutput: [".*Inst.*Security.* | .*Security.*Inst.*"]
    excludedError: [".*Inst.*Security.* | .*Security.*Inst.*"]
  - name: "builds application successfully"
    setup: [
      ["mkdir", "-p", "/tmp/test"],
      ["git", "clone", "https://gitlab.com/usvc/images/ci/recipes.git", "/tmp/test"],
      ["bash", "-c", "cd /tmp/test/.sample-projects/go && go mod vendor"],
      ["bash", "-c", "cd /tmp/test/.sample-projects/go && /bin/entrypoint"]
    ]
    command: "ls"
    args: ["-al", "/tmp/test/.sample-projects/go/bin"]
    expectedOutput:
      - app -> ./app_linux_amd64
      - app.sha256 -> ./app_linux_amd64.sha256
      - app_linux_amd64
      - app_linux_amd64.sha256
fileExistenceTests:
  - name: "cache is writable"
    path: /.cache
    shouldExist: true
    permissions: 'drwxrwxrwx'
  - name: "entrypoint is executable and non-writable"
    path: /bin/entrypoint
    shouldExist: true
    permissions: '-r-xr-xr-x'
metadataTest:
  cmd: ["bash", "-c"] # required for gitlab ci runner
